最新消息:阿啰哈,本人90后,目前单身,欢迎妹子们来撩!.(。→‿←。)

Xubuntu 14.04.3软件安装脚本_未完

Xubuntu 林志斌 166浏览

操作环境:Xubuntu 14.04.2 LTS amd64笔记本电脑(把脚本中的无线软件去除后也适用于台式机;把64位的软件替换成32位的软件后也适用于32位的系统)
脚本最佳执行环境:在笔记本上安装好全新的Ubuntu 14.04.3 LTS amd64系统,务必确保电脑能正常上网,才能执行此脚本。注,安装过程中有几个许可条款会显示出来需手工确认一下,如果条款对话框卡死了,开启一个新和终端并执行sudo killall whiptail结束掉即可继续!

#/bin/bash
#created by: kashu
#homepage: https://kashu.org
#date: 2015.04.27
#description: Install my common used softwares.

#check and prepare the current environment
if [ "$(id -u)" != "0" ]; then echo "This script must be run as root" && exit 1; fi
echo -e "33[41;37mInstalling, please do not close this shell script33[0m"
fgrep -qs '14.04.2' /etc/issue || { echo "For Ubuntu 14.04.2 LTS" && exit 1 ; }
uname -i | fgrep -qs 'x86_64' || { echo "For x86_64 Arch only" && exit 1 ; }
test -e /etc/apt/sources.list.bak && { echo "/etc/apt/sources.list.bak already exists" && exit 1 ; }
cp -f /etc/apt/sources.list /etc/apt/sources.list.bak

#download softwares
wget -O "$PWD"/master.zip https://github.com/ilikenwf/apt-fast/archive/master.zip || { echo "apt-fast download failed!" && exit 1 ; }
nohup wget -c http://jaist.dl.sourceforge.net/project/pacmanager/pac-4.0/pac-4.5.5-all.deb &
nohup wget -c http://katana.oooninja.com/bleachbit/sf/bleachbit_1.6_all_ubuntu1404.deb &
nohup wget -c http://jaist.dl.sourceforge.net/project/xdman/xdman.deb &
nohup wget -c http://pc.115.com/download/linux/115yun_linux_v4.0.1.deb &
nohup wget -c http://jaist.dl.sourceforge.net/project/gis-weather/gis-weather/0.7.7/gis-weather_0.7.7_all.deb &
nohup wget -c http://code-industry.net/public/master-pdf-editor_2.2.15_amd64.deb &
nohup wget -c https://launchpad.net/ubuntu-tweak/0.8.x/0.8.7/+download/ubuntu-tweak_0.8.7-1~trusty2_all.deb &
nohup wget -c http://arminstraub.com/downloads/krop/krop_0.4.7-1_all.deb &
nohup wget -c http://www.ocenaudio.com.br/downloads/index.php/ocenaudio64.deb &
nohup wget -c http://download.xnview.com/XnConvert-linux-x64.deb &

#replace the /etc/apt/sources.list config file
(
cat <<- 'END'
deb http://archive.canonical.com/ubuntu trusty partner
deb http://extras.ubuntu.com/ubuntu trusty main
deb http://mirrors.163.com/ubuntu/ trusty-backports main restricted universe multiverse
deb http://mirrors.163.com/ubuntu/ trusty main restricted
deb http://mirrors.163.com/ubuntu/ trusty multiverse
deb http://mirrors.163.com/ubuntu/ trusty-security main restricted
deb http://mirrors.163.com/ubuntu/ trusty-security multiverse
deb http://mirrors.163.com/ubuntu/ trusty-security universe
deb http://mirrors.163.com/ubuntu/ trusty universe
deb http://mirrors.163.com/ubuntu/ trusty-updates main restricted
deb http://mirrors.163.com/ubuntu/ trusty-updates multiverse
deb http://mirrors.163.com/ubuntu/ trusty-updates universe
deb-src http://archive.canonical.com/ubuntu trusty partner
deb-src http://extras.ubuntu.com/ubuntu trusty main
deb-src http://mirrors.163.com/ubuntu/ trusty-backports main restricted universe multiverse
deb-src http://mirrors.163.com/ubuntu/ trusty main restricted
deb-src http://mirrors.163.com/ubuntu/ trusty multiverse
deb-src http://mirrors.163.com/ubuntu/ trusty-security main restricted
deb-src http://mirrors.163.com/ubuntu/ trusty-security multiverse
deb-src http://mirrors.163.com/ubuntu/ trusty-security universe deb-src http://mirrors.163.com/ubuntu/ trusty universe
deb-src http://mirrors.163.com/ubuntu/ trusty-updates main restricted
deb-src http://mirrors.163.com/ubuntu/ trusty-updates multiverse
deb-src http://mirrors.163.com/ubuntu/ trusty-updates universe
END
) > /etc/apt/sources.list

#add repositories
add-apt-repository -y ppa:dhor/myway
add-apt-repository -y ppa:pi-rho/security
add-apt-repository -y ppa:nilarimogard/webupd8
add-apt-repository -y ppa:noobslab/indicators

add-apt-repository -y ppa:coolwanglu/pdf2htmlex
add-apt-repository -y ppa:diodon-team/stable
add-apt-repository -y ppa:mc3man/trusty-media
add-apt-repository -y ppa:fcitx-team/nightly
add-apt-repository -y ppa:gezakovacs/ppa
add-apt-repository -y ppa:linrunner/tlp
add-apt-repository -y ppa:lzh9102/qwinff
add-apt-repository -y ppa:maarten-baert/simplescreenrecorder
add-apt-repository -y ppa:osmoma/audio-recorder
add-apt-repository -y ppa:otto-kesselgulasch/gimp
add-apt-repository -y ppa:plushuang-tw/uget-stable
add-apt-repository -y ppa:stebbins/handbrake-releases
add-apt-repository -y ppa:team-xbmc/ppa
add-apt-repository -y ppa:ubuntu-wine/ppa
add-apt-repository -y ppa:tualatrix/ppa
add-apt-repository -y ppa:umang/indicator-stickynotes
add-apt-repository -y ppa:webupd8team/y-ppa-manager
add-apt-repository -y ppa:wseverin/ppa

add-apt-repository -y ppa:pipelight/stable
add-apt-repository -y ppa:nginx/stable

#pitivi - a powerful video editor
#add-apt-repository -y ppa:gstreamer-developers/ppa && sudo apt-get update && sudo apt-get install pitivi -y

#wallpaper
#add-apt-repository -y ppa:dreibh/ppa

apt-get update

#remove several unnecessary components.
apt-get purge deja-dup empathy* telepathy* simple-scan ubuntuone-client* python-ubuntuone-storage* ubuntuone-installer indicator-messages telepathy-indicator zeitgeist-core totem aisleriot gnome-orca mahjongg* -y
apt-get autoremove -y
apt-get install -y aria2

#install apt-fast utility and replace the apt-get
unzip "$PWD"/master.zip
cp "$PWD"/apt-fast-master/apt-fast /usr/bin/
chmod +x /usr/bin/apt-fast
test -x /usr/bin/apt-fast || { echo "/usr/bin/apt-fast dose not have executable privilege" && exit 1 ; }
cp "$PWD"/apt-fast-master/apt-fast.conf /etc/

/usr/bin/apt-fast update
/usr/bin/apt-fast dist-upgrade -y
apt-get autoremove -y
###########################
#install dozens of software...(强烈建议:把安装命令从脚本中拿出来单独在终端上执行: sudo /usr/bin/apt-fast install xxx)
echo y | /usr/bin/apt-fast install arj audacious audio-recorder bum cabextract caffeine cheese chromium-browser conky convmv cpufrequtils curl dconf-tools diodon dstat faac faad fcitx-table-wbpy ffmpeg ffmpeg2theora file-roller filezilla flac flashplugin-installer gparted gimp gimp-data-extras gimp-plugin-registry gstreamer0.10-plugins-bad gstreamer0.10-plugins-ugly handbrake-gtk hddtemp htop hydra icedax icedtea-plugin id3v2 iftop indicator-brightness indicator-cpufreq indicator-multiload indicator-stickynotes iotop keepassx lame liba52-0.7.4-dev libdvdnav4 libdvdread4 libflac++6 libjpeg-progs libmad0 libmpeg2-4 libmpeg3-1 libreoffice-help-zh-cn libreoffice-l10n-zh-cn libswscale-extra-2 libxine1-ffmpeg liferea linssid lm-sensors meld mencoder mpack mpeg2dec mpeg3-utils mpegdemux mpg123 mpg321 mupdf nethogs nginx nmap openshot openssh-server optipng p7zip-full p7zip-rar parallel pdf2htmlEX pepperflashplugin-nonfree plink powertop prelink preload proxychains psensor putty-tools qwinff rar rdesktop screenruler sharutils shutter simplescreenrecorder skype sox swfdec-gnome sysv-rc-conf terminator tftpd-hpa tftp-hpa tilda tlp tlp-rdw trimage ubuntu-restricted-extras uget unace unetbootin unrar unzip uudeview uudeview vim vlc vorbis-tools wavemon wine wireshark xbmc y-ppa-manager zip

#install wallpaper changer
#echo y | /usr/bin/apt-fast install variety

#install the latest version of virtualbox
#echo 'deb http://download.virtualbox.org/virtualbox/debian trusty contrib' >> /etc/apt/sources.list
#wget -q https://www.virtualbox.org/download/oracle_vbox.asc -O- | sudo apt-key add -
#apt-fast update
#apt-get install virtualbox-4.3 dkms

#install TeamViewer
#aria2c http://download.teamviewer.com/download/teamviewer_amd64.deb
#On newer 64-bit DEB-systems with Multiarch-support (Debian 7) teamviewer_linux_x64.deb cannot be installed because the package ia32-libs is not available anymore on these systems. In this case you can use teamviewer_i386.deb instead. (https://www.teamviewer.com/en/help/363-How-do-I-install-TeamViewer-on-my-Linux-distribution.aspx)
#dpkg -i ./teamviewer_amd64.deb

###teamviewer_i386.deb may be better...###
#aria2c http://download.teamviewer.com/download/teamviewer_i386.deb
#dpkg -i ./teamviewer_i386.deb
#apt-get -f  install
#dpkg -i ./teamviewer_i386.deb

#Calibre ebook 电子书阅读器、转换器、编辑器、管理器、同步电子书到reader devices
#http://calibre-ebook.com/download_linux

##### configuration area #####
normal_user=`awk -F':' '/:1000:/{print $1}' /etc/passwd`
usermod -a -G wireshark $normal_user && chmod 755 /usr/bin/dumpcap && chgrp wireshark /usr/bin/dumpcap

update-pepperflashplugin-nonfree --install

#Microsoft silverlight plugin (stale)
#pipelight-plugin --enable silverlight

#ubuntu-restricted-extras
/usr/share/doc/libdvdread4/install-css.sh

sed -i 's/NoDisplay=true/NoDisplay=false/g' /etc/xdg/autostart/*.desktop

gsettings set com.canonical.indicator.session suppress-logout-restart-shutdown true
#gsettings set com.canonical.indicator.session suppress-logout-restart-shutdown false

#vim can not display Chinese characters
(
cat <<- 'VIM1'
zh_CN.GBK GBK
zh_CN.GB2312 GB2312
zh_CN.GB18030 GB18030
VIM1
) >> /var/lib/locales/supported.d/local

dpkg-reconfigure locales

(
cat <<- 'VIM2'
set fileencodings=utf-8,gb2312,gbk,gb18030
set termencoding=utf-8
set encoding=prc
VIM2
) >> /etc/vim/vimrc

#gedit can not display Chinese characters
gsettings set org.gnome.gedit.preferences.encodings auto-detected "['UTF-8','GB18030','GB2312','GBK','BIG5','CURRENT','UTF-16']"

#tftpd-hpa config
#https://kashu.org/1256.html
#https://kashu.org/348.html

#cat /sys/class/backlight/acpi_video0/max_brightness
#echo 16 > /sys/class/backlight/acpi_video0/brightness
#>> /etc/rc.local

#install dozens of software too...
#PAC Manager(比Windows下的SecureCRT功能还强大)
#Official website:http://sourceforge.net/projects/pacmanager/files/pac-4.0/
dpkg -i ./pac*.deb
apt-get -f -y install
dpkg -i ./pac*.deb
if [ "$?" != "0" ]; then echo "PAC install failed!" && exit 1; fi

#安装bleachbit清理工具
#Official website:http://bleachbit.sourceforge.net/download/linux
#For Ubuntu 14.04:
dpkg -i ./bleachbit_1.6_all_ubuntu1404.deb
apt-get -f install -y
if [ "$?" != "0" ]; then echo "bleachbit install failed!" && exit 1; fi
dpkg -i ./bleachbit_1.6_all_ubuntu1404.deb

#Xtreme Download Manager(极速下载,非常高效)
#Official website:http://sourceforge.net/projects/xdman/files/?source=navbar
dpkg -i xdman.deb
apt-fast -f install -y
dpkg -i xdman.deb
if [ "$?" != "0" ]; then echo "Xtreme Download Manager install failed!" && exit 1; fi

#115.com网盘
#Official website:http://pc.115.com/linux.html
#wget http://pc.115.com/download/linux/115wangpan_linux_v4.0.deb
dpkg -i ./115yun_linux_v4.0.1.deb
apt-fast -f install -y
dpkg -i ./115yun_linux_v4.0.1.deb
if [ "$?" != "0" ]; then echo "115Pan install failed!" && exit 1; fi

#Gis Weather天气预报
#Official website:http://sourceforge.net/projects/gis-weather/files/gis-weather/
#aria2c -c http://jaist.dl.sourceforge.net/project/gis-weather/gis-weather/0.7.5/gis-weather_0.7.5_all.deb
dpkg -i ./gis-weather_0.7.7_all.deb
apt-fast -f install -y
dpkg -i ./gis-weather_0.7.7_all.deb
if [ "$?" != "0" ]; then echo "gis-weather install failed!" && exit 1; fi

#Master PDF Editor(个人感觉这是Linux中最强大的PDF编辑器,The Linux-based version is free for non-commercial use
#Official website:http://code-industry.net/free-pdf-editor.php
#For i386: http://code-industry.net/public/master-pdf-editor_2.2.15_i386.deb
dpkg -i ./master-pdf-editor_2.2.15_amd64.deb
if [ "$?" != "0" ]; then echo "master-pdf-editor install failed!" && exit 1; fi

#ubuntu tweak
#Official website:https://launchpad.net/ubuntu-tweak/+download
dpkg -i ubuntu-tweak_0.8.7-1~trusty2_all.deb
apt-fast -f install -y
dpkg -i ubuntu-tweak_0.8.7-1~trusty2_all.deb
if [ "$?" != "0" ]; then echo "ubuntu tweak install failed!" && exit 1; fi

#SpeedTest Python Script(SpeedTest网速测试脚本)
nohup wget https://raw.githubusercontent.com/sivel/speedtest-cli/master/speedtest_cli.py &

#krop(PDF文档裁剪神器)
#Official website:http://arminstraub.com/software/krop
dpkg -i krop*.deb
/usr/bin/apt-fast -f install -y
dpkg -i krop*.deb
if [ "$?" != "0" ]; then echo "krop install failed!" && exit 1; fi

#ocenaudio(音频编辑器)
#Official website:http://www.ocenaudio.com.br/
dpkg -i ocenaudio64.deb
if [ "$?" != "0" ]; then echo "ocenaudio install failed!" && exit 1; fi

#XnConvert(图片处理神器)
#Official website:http://www.xnview.com/en/xnconvert/
dpkg -i ./XnConvert-linux-x64.deb
if [ "$?" != "0" ]; then echo "XnConvert install failed!" && exit 1; fi

#omitted area
(
cat <<- 'EEEND'
#uget
配置参数:--enable-rpc=true -D --check-certificate=false --disable-ipv6=true

Disable Guest account featuer
sudo vim /etc/lightdm/lightdm.conf
allow-guest=false

sudo vim /etc/sysctl.conf
vm.swappiness=0

sudo vim /etc/default/grub
GRUB_TIMEOUT=0

sudo vim /etc/fstab
#tmpfs /tmp tmpfs defaults,noexec,nosuid 0 0
#tmpfs /tmp tmpfs defaults,noatime,nodiratime,nosuid,nodev,noexec,mode=1777,size=512M 0 0
tmpfs /tmp tmpfs defaults,noatime,nodiratime,nosuid,nodev,mode=1777,size=512M 0 0

#Create a file named .gtkrc-2.0 in your home directory and paste in the following lines
gtk-menu-popup-delay = 0
gtk-menu-popdown-delay = 0 
gtk-menu-bar-popup-delay = 0 
gtk-enable-animations = 0 
gtk-timeout-expand = 0
gtk-timeout-initial = 0
gtk-timeout-repeat = 0

#ubuntu 安装有道词典 youdao-dict (不建议安装,实测无法使用_2015.04.26)
#Official website: http://cidian.youdao.com/index-linux.html
#默认支持14.10及以上,14.04用户需要在安装前更新系统(update&dist-upgrade)
#Ubuntu x86_64: http://codown.youdao.com/cidian/linux/youdao-dict_1.0.2~ubuntu_amd64.deb
#Ubuntu x86: http://codown.youdao.com/cidian/linux/youdao-dict_1.0.2~ubuntu_i386.deb

#Skype(前面已安装,sudo apt-get install skype)
#aria2c -c http://www.skype.com/go/getskype-linux-beta-ubuntu-64/skype-ubuntu-precise_4.3.0.37-1_i386.deb
#sudo dpkg -i skype-ubuntu-precise_4.3.0.37-1_i386.deb
#sudo apt-fast install -f
#sudo dpkg -i skype-ubuntu-precise_4.3.0.37-1_i386.deb

#GoAgent 3.2.3
#官网:https://github.com/goagent/goagent
#https://codeload.github.com/goagent/goagent/zip/3.0
#小技巧:切换到goagent的server路径下,结合plink(使用ssh代理)和proxychains去运行下面的命令
#[email protected]:/opt/goagent-goagent-36776be/server$ proxychains python uploader.zip

#kwplayer(酷我音乐盒)
#官网:https://github.com/LiuLang/kwplayer-packages
#https://raw.githubusercontent.com/LiuLang/kwplayer-packages/master/python3-xlib_0.15-1_all.deb
#https://raw.githubusercontent.com/LiuLang/kwplayer-packages/master/python3-keybinder_1.1.2-1_all.deb
#https://raw.githubusercontent.com/LiuLang/kwplayer-packages/master/kwplayer_3.5.2-1_all.deb
#Debian系
#需要下载 python3-xlib_xx.deb, python3-keybinder_xx.deb, kwplayer_xx.deb 这三个软件包. 直接双击就能安装deb包.先安装python3-xlib, 之后是python3-keybinder, 最后是kwplayer.

#Cisco Packet Tracer 5.3(思科网络模拟器)
#下载: http://dl.dbank.com/c0xy2o66ob
#chmod +x PacketTracer531_i386_installer-deb.bin
#sudo ./PacketTracer531_i386_installer-deb.bin

#Google Earth(谷歌地球)
#官网:http://www.google.com/intl/en/earth/download/ge/agree.html
#aria2c -c https://dl.google.com/dl/earth/client/current/google-earth-stable_current_amd64.deb
#sudo dpkg -i google-earth-stable_current_amd64.deb
#sudo apt-get -f install(若执行上面的安装后提示有依赖包要装,就执行此命令安装即可)
#sudo dpkg -i google-earth-stable_current_amd64.deb(若执行了上面那条命令,需重新执行此安装命令)

#Openshot(视频编辑器,推荐)
#sudo apt-get install openshot
#官网:https://launchpad.net/openshot/+download
#官网:http://www.openshot.org/ppa/

#虾米电台
#官网:https://launchpad.net/~timxx/+archive/ubuntu/xmradio
#sudo add-apt-repository ppa:timxx/xmradio
#sudo apt-get update
#sudo apt-get install xmradio

#XAMPP
#官网:http://sourceforge.net/projects/xampp/files/XAMPP%20Linux/
#把软件移动到/opt目录里:sudo mv ./sudo mv xampp-linux-x64-1.8.3-1-installer.run /opt
#添加可执行权限:sudo chmod +700 xampp-linux-x64-1.8.3-1-installer.run
#安装:sudo ./xampp-linux-x64-1.8.3-1-installer.run
EEEND
) > /dev/null


#generate the ~/.conkyrc config file
(
cat <<- 'CONKY'
background no
############ - Text settings - ###########
use_xft yes
override_utf8_locale yes
font Sans:size=10
xftfont Sans:size=9
xftalpha 1
update_interval 1.0 
total_run_times 0
own_window yes
own_window_type normal
#own_window_type desktop
##if own_window is yes, you may specify type normal, desktop, dock, panel or override (default: normal). Desktop windows are special windows that have no window decorations; are always visible on your desktop; do not appear in your pager or taskbar; and are sticky across all workspaces. Panel windows reserve space along a desktop edge, just like panels and taskbars, preventing maximized windows from overlapping them. The edge is chosen based on the alignment option. Override windows are not under the control of the window manager. Hints are ignored. This type of window can be useful for certain situations.
own_window_transparent yes
own_window_hints undecorated,below,sticky,skip_taskbar,skip_pager
double_buffer yes 
draw_shades no
draw_outline no
draw_borders no
draw_graph_borders no
###调整个CONKY的最小最大宽度值###
minimum_size 210 720
maximum_width 210
alignment top_right
###相对于右上角的偏移量###
gap_x 5
gap_y 37
no_buffers yes 
cpu_avg_samples 2
# set to yes if you want all text to be in uppercase
uppercase no
use_spacer none
out_to_console no
default_color grey
default_shade_color black
default_outline_color white
#############################################################################################
TEXT
${font style=Bold:size=10}${time %F  %H:%M  %a}
${color }${font }$uptime${color green}    https://kashu.org${font }
${color lightgreen}$stippled_hr
#${color grey}CPU Used:$alignr${color red} $cpu%
${color }CPU    ${color red}${freq_g}    ${cpu cpu0}%    ${acpitemp}°C
#${color }CUP1: ${freq_g 1}GHz ${cpubar cpu1 3}
#CUP2: ${freq_g 2}GHz ${cpubar cpu2 3}
#CUP3: ${freq_g 3}GHz ${cpubar cpu3 3}
#CUP4: ${freq_g 4}GHz ${cpubar cpu4 3}
${color }MEM   ${color red}$memperc%$alignr$mem${color } / $memmax
${membar 3 80}
SWAP   ${swapperc}%${alignr}${swap} / ${swapmax}
${swapbar 3 160} 
${color lightgreen}$stippled_hr
${color }Load(1 5 15m): $loadavg
Processes:$alignr$processes  ($running_processes running)
Kernel:$alignr${kernel}
#${color lightgreen}$stippled_hr
${color #ddaa00}Highest CPU$alignr PID    CPU%
${color lightgrey}${top name 1}$alignr${top pid 1}  ${top cpu 1}
${top name 2}$alignr${top pid 2}  ${top cpu 2}
${top name 3}$alignr${top pid 3}  ${top cpu 3}
${top name 4}$alignr${top pid 4}  ${top cpu 4}
${color #ddaa00}Highest MEM$alignr PID   MEM%
${color lightgrey}${top_mem name 1}$alignr${top_mem pid 1}  ${top_mem mem 1}
${top_mem name 2}$alignr${top_mem pid 2}  ${top_mem mem 2}
${top_mem name 3}$alignr${top_mem pid 3}  ${top_mem mem 3}
${top_mem name 4}$alignr${top_mem pid 4}  ${top_mem mem 4}
${color lightgreen}$stippled_hr
#${color green}Network Info${hr 1}${color}
${color green}Network Info${alignr}TCP_Conn: ${tcp_portmon 1 65535 count}
${color white}${font style=Bold}eth0${font}${alignr}IP: ${color #dcff82}${addr eth0}${color}
${voffset 1}${color white}U:${color #dcff82} ${upspeedf eth0} KB/s${alignr}${color white}D:${color dcff82} ${downspeedf eth0} KB/s
#${downspeedgraph eth0 25,98 000000 4ea5cd}${voffset 1} ${alignr}${upspeedgraph eth0 25,98 000000 296dac}
${downspeedgraph eth0 25,100 000000 ff0000} ${alignr}${upspeedgraph eth0 25,100 000000 00ff00}
${color white}U_Total: ${color #dcff82}${totalup eth0}$alignr${color white}D_Total:${color #dcff82}${totaldown eth0}
#####${color lightgreen}$stippled_hr

${color yellow}ESSID:${wireless_essid wlan0}${alignr}${wireless_link_qual_perc wlan0}%
#${wireless_bitrate wlan0}
${color white}${font style=Bold}wlan0${font}${alignr}IP: ${color #dcff82}${addr wlan0}${color}
${voffset 1}${color white}U:${color #dcff82} ${upspeedf wlan0} KB/s${alignr}${color white}D:${color dcff82} ${downspeedf wlan0} KB/s
${downspeedgraph wlan0 25,100 000000 ff0000} ${alignr}${upspeedgraph wlan0 25,100 000000 00ff00}
${color white}U_Total: ${color #dcff82}${totalup wlan0}$alignr${color white}D_Total:${color #dcff82}${totaldown wlan0}
${color lightgreen}$stippled_hr
#${membar 3,160}
#${color }ROOT:$alignr${color}${fs_used /}/${fs_size /}
#${fs_bar 3 /}
${color white}Disk_W: ${color #dcff82}${diskio_write /dev/sda}$alignr${color white}Disk_R: ${color #dcff82}${diskio_read /dev/sda}
${diskiograph_write /dev/sda 25,100 000000 ff0000}${alignr}${diskiograph_read /dev/sda 25,100 000000 00ff00}
${color }/home$alignr${color}${fs_used /home} / ${fs_size /home}
${fs_bar 3 /home}
${color }/$alignr${color}${fs_used /} / ${fs_size /}
${fs_bar 3 /}
${color }/boot$alignr${color}${fs_used /boot} / ${fs_size /boot}
${fs_bar 3 /boot}
#${color lightgreen}$stippled_hr
#${color green}RSS Reading
#${color white}${rss http://www.kashu.org/feed 5 item_titles 14}
CONKY
)
> /home/kashu/.conkyrc


#~/.bashrc config file
(
cat <<- 'BASHRC'
#my alias entries
alias calc='gnome-calculator &'
alias apt-get='/usr/sbin/apt-fast'
alias chrome='/usr/bin/chromium-browser &'
alias go='sudo python /opt/goagent-goagent-03e2040/local/proxy.py &'
alias TTY='sudo miniterm.py -p /dev/ttyUSB0 --lf'

#my export entries
export PS4='+{$LINENO:${FUNCNAME[0]}} '
export PS1="e[01;33mA e[01;31mue[[email protected][01;34mh[e[m:e[01;32mwe[m$ "
export EDITOR=vim

nicemount(){ (echo "DEVICE PATH TYPE OPTIONS" && mount | awk '$2=$4="";1') | column -t; }

export HISTFILESIZE=10000000
export HISTSIZE=30000
# 实时记录历史命令,默认只有在用户退出之后才会统一记录,很容易造成多个用户间的相互覆盖。
export PROMPT_COMMAND="history -a"
# 记录每条历史命令的执行时间
export HISTTIMEFORMAT="%Y-%m-%d_%H:%M:%S "

# Set colors for man pages
man() {
  env 
  LESS_TERMCAP_mb=$(printf "e[1;31m") 
  LESS_TERMCAP_md=$(printf "e[1;31m") 
  LESS_TERMCAP_me=$(printf "e[0m") 
  LESS_TERMCAP_se=$(printf "e[0m") 
  LESS_TERMCAP_so=$(printf "e[1;44;33m") 
  LESS_TERMCAP_ue=$(printf "e[0m") 
  LESS_TERMCAP_us=$(printf "e[1;32m") 
  man "[email protected]"
}
BASHRC
) >> /home/kashu/.bashrc

---------------执行以上脚本内容即可,以下内容忽略……---------------

echo "Installing, please do not close this shell script!"
fgrep '14.04.2' /etc/issue || { echo "For Ubuntu 14.04.2 LTS" && exit 1 ; }
uname -i | fgrep 'x86_64' || { echo "For x86_64 Arch only" && exit 1 ; }
test -e /etc/apt/sources.list.bak && exit 1
cp -f /etc/apt/sources.list /etc/apt/sources.list.bak
(
cat <<- 'END'
deb http://archive.canonical.com/ubuntu trusty partner
deb http://extras.ubuntu.com/ubuntu trusty main
deb http://mirrors.163.com/ubuntu/ trusty-backports main restricted universe multiverse
deb http://mirrors.163.com/ubuntu/ trusty main restricted
deb http://mirrors.163.com/ubuntu/ trusty multiverse
deb http://mirrors.163.com/ubuntu/ trusty-security main restricted
deb http://mirrors.163.com/ubuntu/ trusty-security multiverse
deb http://mirrors.163.com/ubuntu/ trusty-security universe
deb http://mirrors.163.com/ubuntu/ trusty universe
deb http://mirrors.163.com/ubuntu/ trusty-updates main restricted
deb http://mirrors.163.com/ubuntu/ trusty-updates multiverse
deb http://mirrors.163.com/ubuntu/ trusty-updates universe
deb-src http://archive.canonical.com/ubuntu trusty partner
deb-src http://extras.ubuntu.com/ubuntu trusty main
deb-src http://mirrors.163.com/ubuntu/ trusty-backports main restricted universe multiverse
deb-src http://mirrors.163.com/ubuntu/ trusty main restricted
deb-src http://mirrors.163.com/ubuntu/ trusty multiverse
deb-src http://mirrors.163.com/ubuntu/ trusty-security main restricted
deb-src http://mirrors.163.com/ubuntu/ trusty-security multiverse
deb-src http://mirrors.163.com/ubuntu/ trusty-security universe
deb-src http://mirrors.163.com/ubuntu/ trusty universe
deb-src http://mirrors.163.com/ubuntu/ trusty-updates main restricted
deb-src http://mirrors.163.com/ubuntu/ trusty-updates multiverse
deb-src http://mirrors.163.com/ubuntu/ trusty-updates universe
END
) > /etc/apt/sources.list

add-apt-repository -y ppa:dhor/myway
add-apt-repository -y ppa:pi-rho/security
add-apt-repository -y ppa:nilarimogard/webupd8
add-apt-repository -y ppa:noobslab/indicators

add-apt-repository -y ppa:coolwanglu/pdf2htmlex
add-apt-repository -y ppa:diodon-team/stable
add-apt-repository -y ppa:mc3man/trusty-media
add-apt-repository -y ppa:djcj/vlc-stable
add-apt-repository -y ppa:fcitx-team/nightly
add-apt-repository -y ppa:gezakovacs/ppa
add-apt-repository -y ppa:linrunner/tlp
add-apt-repository -y ppa:lzh9102/qwinff
add-apt-repository -y ppa:maarten-baert/simplescreenrecorder
add-apt-repository -y ppa:osmoma/audio-recorder
add-apt-repository -y ppa:otto-kesselgulasch/gimp
add-apt-repository -y ppa:plushuang-tw/uget-stable
add-apt-repository -y ppa:stebbins/handbrake-releases
add-apt-repository -y ppa:team-xbmc/ppa
add-apt-repository -y ppa:ubuntu-wine/ppa
add-apt-repository -y ppa:tualatrix/ppa
add-apt-repository -y ppa:umang/indicator-stickynotes
add-apt-repository -y ppa:webupd8team/y-ppa-manager
add-apt-repository -y ppa:wseverin/ppa

add-apt-repository -y ppa:pipelight/stable

#pitivi - a powerful video editor
#add-apt-repository -y ppa:gstreamer-developers/ppa && sudo apt-get update && sudo apt-get install pitivi -y

#wallpaper
#add-apt-repository -y ppa:dreibh/ppa

add-apt-repository -y ppa:nginx/stable

apt-get update

apt-get purge deja-dup empathy* telepathy* simple-scan ubuntuone-client* python-ubuntuone-storage* ubuntuone-installer indicator-messages telepathy-indicator zeitgeist-core totem aisleriot gnome-orca mahjongg* -y
apt-get autoremove -y
apt-get install -y aria2

wget -O "$PWD"/master.zip https://github.com/ilikenwf/apt-fast/archive/master.zip
unzip "$PWD"/master.zip
cp "$PWD"/apt-fast-master/apt-fast /usr/bin/
chmod +x /usr/bin/apt-fast
cp "$PWD"/apt-fast-master/apt-fast.conf /etc/

/usr/bin/apt-fast update
/usr/bin/apt-fast upgrade -y
apt-get autoremove -y

echo y | /usr/bin/apt-fast install arj audacious audio-recorder bum cpufrequtils caffeine cabextract cheese chromium-browser conky convmv curl dconf-tools diodon dstat faac faad fcitx-table-wbpy ffmpeg ffmpeg2theora filezilla file-roller flac flashplugin-installer gimp gimp-data-extras gimp-plugin-registry gstreamer0.10-plugins-ugly gstreamer0.10-plugins-bad handbrake-gtk htop hydra icedax icedtea-plugin id3v2 iftop indicator-multiload indicator-stickynotes iotop lame liba52-0.7.4-dev libdvdnav4 libdvdread4 libflac++6 libjpeg-progs libmad0 libmpeg2-4 libmpeg3-1 libswscale-extra-2 libxine1-ffmpeg libreoffice-l10n-zh-cn libreoffice-help-zh-cn liferea linssid meld mencoder mpack mpeg2dec mpeg3-utils mpegdemux mpg123 mpg321 mupdf nethogs nmap openssh-server openshot optipng powertop p7zip-full p7zip-rar parallel plink prelink preload proxychains putty-tools qwinff rar rdesktop sharutils shutter simplescreenrecorder swfdec-gnome skype sox sysv-rc-conf tftpd-hpa tftp-hpa tilda trimage ubuntu-restricted-extras uget unace unetbootin unrar unzip uudeview uudeview vim vlc vorbis-tools indicator-cpufreq wavemon wine wireshark xbmc y-ppa-manager zip lm-sensors hddtemp psensor pdf2htmlEX pepperflashplugin-nonfree tlp tlp-rdw

#wallpaper
#echo y | /usr/bin/apt-fast install variety

update-pepperflashplugin-nonfree --install

#Microsoft silverlight plugin (stale)
#pipelight-plugin --enable silverlight

#ubuntu-restricted-extras
/usr/share/doc/libdvdread4/install-css.sh

sed -i 's/NoDisplay=true/NoDisplay=false/g' /etc/xdg/autostart/*.desktop

#uget
配置参数:--enable-rpc=true -D --check-certificate=false --disable-ipv6=true

Disable Guest account featuer
sudo vim /etc/lightdm/lightdm.conf
allow-guest=false


sudo vim /etc/sysctl.conf
vm.swappiness=10

sudo vim /etc/default/grub
GRUB_TIMEOUT=0

sudo vim /etc/fstab
#tmpfs /tmp tmpfs defaults,noexec,nosuid 0 0
#tmpfs /tmp tmpfs defaults,noatime,nodiratime,nosuid,nodev,noexec,mode=1777,size=512M 0 0
tmpfs /tmp tmpfs defaults,noatime,nodiratime,nosuid,nodev,mode=1777,size=512M 0 0

Create a file named .gtkrc-2.0 in your home directory and paste in the following lines
gtk-menu-popup-delay = 0 
gtk-menu-popdown-delay = 0 
gtk-menu-bar-popup-delay = 0 
gtk-enable-animations = 0 
gtk-timeout-expand = 0
gtk-timeout-initial = 0
gtk-timeout-repeat = 0



PAC Manager(比Windows下的SecureCRT功能还强大)
官网:http://sourceforge.net/projects/pacmanager/files/pac-4.0/
wget -c http://jaist.dl.sourceforge.net/project/pacmanager/pac-4.0/pac-4.5.5-all.deb
dpkg -i ./pac*.deb
apt-get -f -y install
dpkg -i ./pac*.deb


安装bleachbit清理工具
官网:http://bleachbit.sourceforge.net/download/linux
For Ubuntu 14.04:
wget -c http://katana.oooninja.com/bleachbit/sf/bleachbit_1.6_all_ubuntu1404.deb


Xtreme Download Manager(极速下载,非常高效)
官网:http://sourceforge.net/projects/xdman/files/?source=navbar
wget -c http://jaist.dl.sourceforge.net/project/xdman/xdman.deb
sudo dpkg -i xdman.deb


115.com网盘
官网:http://pc.115.com/linux.html
#wget http://pc.115.com/download/linux/115wangpan_linux_v4.0.deb
wget http://pc.115.com/download/linux/115yun_linux_v4.0.1.deb
sudo dpkg -i ./115wangpan_linux_v4.0.1.deb


#Skype(前面已安装,sudo apt-get install skype)
#wget -c http://www.skype.com/go/getskype-linux-beta-ubuntu-64/skype-ubuntu-precise_4.3.0.37-1_i386.deb
#sudo dpkg -i skype-ubuntu-precise_4.3.0.37-1_i386.deb
#sudo apt-fast install -f
#sudo dpkg -i skype-ubuntu-precise_4.3.0.37-1_i386.deb


Gis Weather天气预报
官网:http://sourceforge.net/projects/gis-weather/files/gis-weather/
#wget -c http://jaist.dl.sourceforge.net/project/gis-weather/gis-weather/0.7.5/gis-weather_0.7.5_all.deb
wget -c http://jaist.dl.sourceforge.net/project/gis-weather/gis-weather/0.7.7/gis-weather_0.7.7_all.deb


Master PDF Editor(个人感觉这是Linux中最强大的PDF编辑器,The Linux-based version is free for non-commercial use
官网:http://code-industry.net/free-pdf-editor.php
For i386: http://code-industry.net/public/master-pdf-editor_2.2.15_i386.deb
For amd64: http://code-industry.net/public/master-pdf-editor_2.2.15_amd64.deb
dpkg -i ./master-pdf*.deb


ubuntu tweak
官网:https://launchpad.net/ubuntu-tweak/+download
wget -c https://launchpad.net/ubuntu-tweak/0.8.x/0.8.7/+download/ubuntu-tweak_0.8.7-1~trusty2_all.deb
sudo dpkg -i ubuntu-tweak_0.8.7-1~trusty2_all.deb
sudo apt-fast -f install -y
sudo dpkg -i ubuntu-tweak_0.8.7-1~trusty2_all.deb


#GoAgent 3.2.3
#官网:https://github.com/goagent/goagent
#https://codeload.github.com/goagent/goagent/zip/3.0
#小技巧:切换到goagent的server路径下,结合plink(使用ssh代理)和proxychains去运行下面的命令
#[email protected]:/opt/goagent-goagent-36776be/server$ proxychains python uploader.zip


SpeedTest Python Script(SpeedTest网速测试脚本)
wget https://raw.githubusercontent.com/sivel/speedtest-cli/master/speedtest_cli.py


kwplayer(酷我音乐盒)
官网:https://github.com/LiuLang/kwplayer-packages
https://raw.githubusercontent.com/LiuLang/kwplayer-packages/master/python3-xlib_0.15-1_all.deb
https://raw.githubusercontent.com/LiuLang/kwplayer-packages/master/python3-keybinder_1.1.2-1_all.deb
https://raw.githubusercontent.com/LiuLang/kwplayer-packages/master/kwplayer_3.5.2-1_all.deb
Debian系
需要下载 python3-xlib_xx.deb, python3-keybinder_xx.deb, kwplayer_xx.deb 这三个软件包. 直接双击就能安装deb包.先安装python3-xlib, 之后是python3-keybinder, 最后是kwplayer.


XnConvert(图片处理神器)
官网:http://www.xnview.com/en/xnconvert/
http://download.xnview.com/XnConvert-linux-x64.deb


krop(PDF文档裁剪神器)
官网:http://arminstraub.com/software/krop
wget -c http://arminstraub.com/downloads/krop/krop_0.4.7-1_all.deb
dpkg -i krop*.deb
/usr/bin/apt-fast -f install -y
dpkg -i krop*.deb


ocenaudio(音频编辑器)
官网:http://www.ocenaudio.com.br/
http://www.ocenaudio.com.br/downloads/index.php/ocenaudio64.deb?


Cisco Packet Tracer 5.3(思科网络模拟器)
下载: http://dl.dbank.com/c0xy2o66ob
chmod +x PacketTracer531_i386_installer-deb.bin
sudo ./PacketTracer531_i386_installer-deb.bin


#Google Earth(谷歌地球)
#官网:http://www.google.com/intl/en/earth/download/ge/agree.html
#wget -c https://dl.google.com/dl/earth/client/current/google-earth-stable_current_amd64.deb
#sudo dpkg -i google-earth-stable_current_amd64.deb
#sudo apt-get -f install(若执行上面的安装后提示有依赖包要装,就执行此命令安装即可)
#sudo dpkg -i google-earth-stable_current_amd64.deb(若执行了上面那条命令,需重新执行此安装命令)


#Openshot(视频编辑器,推荐)
#sudo apt-get install openshot
#官网:https://launchpad.net/openshot/+download
#官网:http://www.openshot.org/ppa/


虾米电台
官网:https://launchpad.net/~timxx/+archive/ubuntu/xmradio
sudo add-apt-repository ppa:timxx/xmradio
sudo apt-get update
sudo apt-get install xmradio


indicator-brightness(屏幕亮度指示器)
官网:https://launchpad.net/~noobslab/+archive/ubuntu/indicators
源自:sudo add-apt-repository ppa:noobslab/indicators
sudo apt-get install indicator-brightness


#wavemon(无线信号检测软件,推荐)
#sudo apt-get install wavemon


#XAMPP
#官网:http://sourceforge.net/projects/xampp/files/XAMPP%20Linux/
#把软件移动到/opt目录里:sudo mv ./sudo mv xampp-linux-x64-1.8.3-1-installer.run /opt
#添加可执行权限:sudo chmod +700 xampp-linux-x64-1.8.3-1-installer.run
#安装:sudo ./xampp-linux-x64-1.8.3-1-installer.run


Nginx Stable
https://launchpad.net/~nginx/+archive/ubuntu/stable
add-apt-repository -y ppa:nginx/stable
sudo apt-get update
sudo apt-get install nginx

转载请注明:林志斌 » Xubuntu 14.04.3软件安装脚本_未完

发表评论
取消评论
表情

Hi,您需要填写昵称和邮箱!

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址